Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant
Class BSFJepEngine

    java.lang.Object
      org.apache.bsf.util.BSFEngineImpl
          jep.BSFJepEngine
              com.nokia.ant.BSFJepEngine

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.apache.bsf.BSFEngine

    public class BSFJepEngine

extends jep.BSFJepEngine

Override default implementation to support source with are not files.

Author:
  Helium Team
See Also:
  `BSFJepEngine`

Field Summary

Fields inherited from class org.apache.bsf.util.BSFEngineImpl
`classLoader, classPath, declaredBeans, lang, mgr, tempDir`

Constructor Summary
`BSFJepEngine()`

Method Summary
`void` | `exec(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)` Execute a script.

Methods inherited from class jep.BSFJepEngine
`call, declareBean, eval, initialize, main, propertyChange, terminate, undeclareBean`

Methods inherited from class org.apache.bsf.util.BSFEngineImpl
`apply, compileApply, compileExpr, compileScript, iexec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BSFJepEngine

    public BSFJepEngine()

Method Detail

### exec

    public final void exec(java.lang.String source,
                           int lineNo,
                           int columnNo,
                           java.lang.Object script)
                    throws org.apache.bsf.BSFException

  Execute a script.

  Specified by:
    `exec` in interface `org.apache.bsf.BSFEngine`
  Overrides:
    `exec` in class `jep.BSFJepEngine`
  Parameters:
    `source` - a `String` value
    `lineNo` - an `int` value
    `columnNo` - an `int` value
    `script` - an `Object` value
  Throws:
    `org.apache.bsf.BSFException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD